/*
   Situare - A location system for Facebook
   Copyright (C) 2010  Ixonos Plc. Authors:

       Jussi Laitinen - jussi.laitinen@ixonos.com

   Situare is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   version 2 as published by the Free Software Foundation.

   Situare is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Situare; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
   USA.
*/

#ifndef COMMON_H
#define COMMON_H

#include <QString>
#include <QColor>
#include <QFont>

// QSettings identifiers
const QString SETTINGS_ORGANIZATION_NAME = "Ixonos";
const QString SETTINGS_APPLICATION_NAME = "Situare";

// QSettings common values
const QString SETTINGS_AUTOMATIC_UPDATE_ENABLED = "SETTINGS_AUTOMATIC_UPDATE_ENABLED";
const QString SETTINGS_AUTOMATIC_UPDATE_INTERVAL = "SETTINGS_AUTOMATIC_UPDATE_INTERVAL";
const QString USER_UNSEND_MESSAGE = "UNSEND_MESSAGE_CONTENT";
const QString USER_UNSEND_MESSAGE_PUBLISH = "UNSEND_MESSAGE_PUBLISH_POLICITY";

// Misc values
const int DEFAULT_SCREEN_WIDTH = 800;           ///< Default N900 screen width
const int DEFAULT_SCREEN_HEIGHT = 480;          ///< Default N900 screen height
const int DEFAULT_NON_FULLSCREEN_HEIGHT = 424;  ///< Default N900 non-fullscreen height

const QColor COLOR_GRAY = QColor(152, 152, 152);                        ///< Gray color
const QFont NOKIA_FONT_NORMAL = QFont("Nokia Sans", 18, QFont::Normal); ///< Normal font
const QFont NOKIA_FONT_SMALL = QFont("Nokia Sans", 13, QFont::Normal);  ///< Small font

#endif // COMMON_H
